/* html {
height: 100%;
} */
 
:root {
--btncolor: rgb(24, 73, 128);
--font: 'Lucida Sans', 'L ucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana;
--fonts: 'Calibri';
--logo: Lucida Sans Typewriter;
--diaryColor: rgb(38, 52, 77);
--diaryColorbar: linear-gradient(rgb(38, 52, 77,0.5), rgb(38, 52, 77, 0))
}
body {
  background-image: url("../images/pen.jpg");
  background-attachment: fixed;
  background-repeat: round;
  object-fit: fill;
min-width: 100%;
width: 100%;
min-height: 100%;
margin: 0px;
background-size: cover;
position: absolute;
}
.container{
  min-height: 100vh;
}

a {text-decoration: none;
color: rgb(0, 0, 0);
}
.nav-bar{
  background-color: var(--diaryColor);
  padding: 5px 10px;
  top: 0;
  z-index: 1;
  position: sticky;
}
.nav-bar div{display: inline-block}

.logo {
  font-size: 40px;
  margin-left: 50px;
  font-family: Cracked Johnnie;
}

.hamburger{  
display: none
}
  
.nav-list li{
  display: inline-block;
  list-style: none;
  font-size: 1.3em;
  font-weight: 800;
  transition: 0.5s;
  padding: 0px 10px;
  font-family: var(--fonts, nasalization);
  border-left: 2px solid rgba(255, 255, 255, 0);
  border-right: 2px solid rgba(255, 255, 255, 0);
}
.nav-list li:hover{
  border-left: 2px solid rgb(255, 255, 255);
  border-right: 2px solid rgb(255, 255, 255);
  border-radius: 5px;  
  background: rgba(11, 22, 41, 0.199);
}
.nav-list{
float:right;
}

.footer {
border-top: 1px solid rgb(55, 55, 99);
  background-color: rgba(241, 248, 255, 0.151);
text-align: center;
height: fit-content;
color: rgb(0, 0, 0);
margin: auto;
font-size: 1.4em;
padding: 10px;
position: relative;
}

/* 
                    THIS SECTION IS FOR SIGN UP AND SIGN IN STYLES
---------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------

*/

.sign-in-container,
.sign-up-container {
width: 100%;
height: 85%;
margin: 0;
}

.sign-in-content,
.sign-up-content {
min-width: 20%;
width: fit-content;
margin: 10px auto;
display: block;
}

.sign-in-text,
.sign-up-text {
float: left;
width: 40%;
margin-left: 40px;
font-size: 20px;
color: rgb(221, 221, 221);
}

#user-sign-in-icon,
#user-sign-up-icon {
width: 100%;
margin: auto;
}

.sign-in {
border: 1px solid rgba(55, 106, 165, 0.145);
background-color: rgba(231, 231, 240, 0.945);
width: auto;
margin: 10vh;
padding: 24px;
font-size: 20px;
display: inline-block;
box-shadow: 3px 3px 10px rgba(34, 34, 34, 0.337);
}

.sign-up{
border: 1px solid rgba(119, 164, 216, 0.137);
padding: 20px;
display: inline-block;
background-color: rgba(231, 231, 240, 0.945);
box-shadow: 3px 3px 10px rgb(34, 34, 34, 0.337);
}

.sign-in-form,
.sign-up-form{
padding-top: 10px;
font-size: 18px;
}

.sign-in-form input,
.sign-up-form input {
border: 2px solid rgb(24, 73, 128);
font-size: 1em;
padding: 4px 10px;
margin: 10px;
border-top: 0;
border-bottom: 0;
}

#sign-in-btn,
#login-again,
.home-btns {
text-align: center;
font-size: 20px;
border: none;
background-color: var(--diaryColor);
padding: 5px 60px;
border-radius: 10px;
color: #fff;
opacity: 0.8;
margin: auto;
display: block
}

#sign-up-btn, 
#sign-me-up-btn,
.home-btns {
padding: 5px 60px;
border-radius: 10px;
background-color: var(--diaryColor);
font-size: 20px;
color: #fff;
margin: 0 auto 3px;
display: block;
text-decoration: none;
opacity: 0.8;
}

#sign-in-btn:hover,
#sign-up-btn:hover,
#sign-me-up-btn:hover,
#search-trip-btn:hover,
#submit-feedback-btn:hover,
.home-btns:hover,
#change-picture:hover,
.save-settings label:hover, #submit-feedback-btn:hover {
opacity: 1;
}

#sign-in-btn a, .nav-bar a, #sign-me-up-btn a {
color: white;
text-decoration: none;
}

/*
-----------------------------------------------------------------
-----------------------------------------------------------------
                  THIS SECTION IS FOR EDIT ENTRY STYLES
-----------------------------------------------------------------
-----------------------------------------------------------------
*/

.edit-entry-container, .settings-container, .entries-container{
  width: 60%;
  margin: auto;
  height: fit-content;
  border-radius: 10px
}
.edit-entry-container{
  width: 65%;
  margin: auto;
  height: fit-content;
  border-radius: 10px
}
.edit-entry-content, .settings-content, .entries{
  background-color: whitesmoke;
  padding: 10px;
  border-radius: 40px 0;
  height: fit-content;
}
.content {
  background-repeat: round;
  object-fit: fill;
  min-height: 100vh;
  padding: 10px
}

.entry-description textarea, .description {
    resize: none;
    border-radius: 0 0px 30px 0;
    padding: 10px;
    height: 360px; 
    width: 97%;  
    background: white;
    white-space: pre-line;
    border: 1px solid rgb(184, 184, 184);  
    font-size: 20px;    
}

#edit-title{
  font-weight: 700;
  padding: 10px;
  font-size: 30px;
  width: 97%;
  font-family: monospace;
  border-style: solid;  
      text-overflow: ellipsis;
  border-width: 0 0 5px; 
  background-image: linear-gradient(#f5f5f5, #f5f5f5, rgb(202, 202, 202));
}
#edit-title:hover{
  background-image: linear-gradient(#f5f5f5, #f5f5f5, rgb(182, 182, 182));
}

.profile-save div{
  display: inline-block;
  vertical-align: middle;
}

.edit-options img{
  width: 20px;
  padding: 3px 5px;
  vertical-align: top;
}
.edit-options select{
  vertical-align: top;
  height: 25px;
  margin: 0
}

.edit-options {  
  border: 2px solid rgb(170, 170, 170);
  font-size: 18px;
  text-align: center;
  display: grid;
  grid-template-columns: auto auto auto auto auto auto auto auto;
}
.edit-options span:hover, .edit-options img:hover{
  background-color: rgb(199, 199, 199);
  cursor:pointer
}
.Strikethrough{
  text-decoration: line-through
}
.Highlight{
  background-color: rgb(238, 238, 127)
}
.Underline{
  text-decoration: underline
}
.save-entry{
  float: right
}
.save-entry img{
    border: 5px solid whitesmoke;
}
#monospace{  font-family: monospace}
#sans-serif{  font-family: sans-serif}
#nazalization{font-family: nazalization}
#times-new-roman{font-family: 'Times New Roman', Times, serif}
#induction{font-family: induction}
#arial{font-family: Arial, Helvetica, sans-serif}
#cracked-johnnie{font-family: Cracked Johnnie}
#calibri{font-family: Calibri}
#georgia{font-family: Georgia}
.save-entry img:hover, .entry-icons img:hover, .pagination div:hover{
  background-color: rgb(195, 204, 255);
  /* filter: invert(7%) sepia(100%) saturate(7384%) hue-rotate(248deg) brightness(108%) contrast(143%) */
border: 5px solid rgb(195, 204, 255);
border-radius: 10px
}

.last-updated{
  width: 100%;
  margin: 0;
  top: 0;
  position: relative;
  text-align: right
}
#now-date, #created-on{
  font-size: 1em;
  margin-top: 5px;
  font-weight: 600;
  z-index: auto
}
.profile-save .right{
  float: right
}
.profile{
  width: 10%;
}

.profile img{
  border-radius: 50%;
  width: 100%;
  border: 3px solid rgb(194, 194, 194)
}

  
/* 
-*------     THIS IS FOR THE SPECIFIC ENTRY   -----------
--------------------------------------------------------- 
*/

.entry-title{
      font-weight: 700;
    padding: 10px;
    font-size: 30px;
    width: 97%;
    font-family: monospace;
}
p{
    margin-block-end: 0;
    margin-block-start: 0;
    white-space: pre-line;
}
.entry-title p{
  text-align: center;
}
.description {
  background-color: rgb(245, 246, 255);
  border: 0;
  border-top: 2px solid var(--diaryColor);
  overflow: auto;
}

.description::-webkit-scrollbar, textarea::-webkit-scrollbar {
background-color: rgb(187, 187, 187);
border-radius: 40px 0;
cursor: pointer;
}

.description::-webkit-scrollbar-track, textarea::-webkit-scrollbar-track {
background-color: rgba(245, 245, 245, 0);
cursor: pointer;
}

.description::-webkit-scrollbar-thumb, textarea::-webkit-scrollbar-thumb {
background-color: var(--diaryColor);
border-radius: 40px 0;
cursor: pointer;
}

.description::-webkit-scrollbar-thumb:hover, textarea::-webkit-scrollbar-thumb:hover {
background-color: #3a536e;
cursor: pointer;
}
.description::-webkit-scrollbar:hover{
  cursor: pointer
}

/*            SETTINGS CSS       
-------------------------------------------
-------------------------------------------
*/

#hidden-picture-upload{
  display: none
}
#change-picture,
.save-settings label, #submit-feedback-btn{
background-color: var(--diaryColor);
padding: 5px;
border-radius: 10px;
color: #fff;
cursor: default;
opacity: 0.8;
text-align: center;
  display: block;
}

.edit-profile{
  margin: auto;
  display: inline-flex;
  margin-bottom: 10px;
  padding: 0 5%
}
.edit-profile-picture{
  display: inline-block;
  width: 20%;
  margin: auto 5% auto 10%;
}
.edit-user-credentials{
  display: grid;
  font-size: 1.4em;
  font-family: monospace;
  padding: 20px 0
}

.edit-user-credentials input{
  font-size: 15px;
    text-align: center;
    border: none;
    margin: 0 0 0 30px;
    background-color: whitesmoke;
    border-bottom: 2px solid rgb(199, 199, 199);
    float: right;
}
.edit-user-credentials div label{
  float: left;
}

.settings-content{
  padding: 1vw
}
.settings-container a{
  color: var(--diaryColor);
  font-weight: 600
}
.number-of-entries{
  text-align: center;
  font-size: 20px;
  padding: 20px;
  border-width: 1px  0;
  border-style: solid
}
.notification-settings{
  display: grid;font-size: 1.4em;
    grid-template-columns: auto auto
}
.notifications-title, .notifications-message{
   text-align: center;
   font-size: 20px;
   margin-top: 20px;
   font-weight: 600;
   grid-column: 1/span 2
}
.notifications-message{
  font-weight: 500;
  margin: 0 0 5px 0;

}
.notifications-through, .notifications-frequency{
  margin: 20px;
}
.notifications-through{
  border-spacing: 0;
}

/*
---------------------------------------------------------
      SLIDER CSS 
---------------------------------------------------------   
*/

.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 18px;
  vertical-align: sub;
  margin-left: 15px
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 1px;
  bottom: 1px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: var(--diaryColor);
}

input:focus + .slider {
  box-shadow: 0 0 1px var(--diaryColor);
}

input:checked + .slider:before {
  -webkit-transform: translateX(22px);
  -ms-transform: translateX(22px);
  transform: translateX(22px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 40px;
  
}
.slider.round:before {
  border-radius: 50%;
}

/* 
------------------------------------------------------------
------------------------------------------------------------
                      VIEW ENTRIES
------------------------------------------------------------
------------------------------------------------------------
------------------------------------------------------------
*/

.entries{
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 1em
}
.entry{
  display: grid;
  grid-template-columns: auto auto;
  margin: 30px 0;
  transition: 0.5s ease-in-out
}
.pagination div{
  display: inline-block;
  font-size: 1.3em;
  border: 5px solid whitesmoke;
  padding: 0 10px;
  font-weight: 600
}
.pagination {
  text-align: center
}
.entry:hover{
  border-left: 5px solid var(--diaryColor)
}
.entry-date{
  display: grid;
  cursor: default;
  padding: 5px;
}
.entry-content{
  border-bottom: 2px solid black;
  padding: 5px;
}
.view-title{
  font-size: 1.3em;
  margin-bottom: 5px;
  color: var(--diaryColor);
  font-weight: 500
}
.entry-details{
  margin-top: 10px;
  display: grid;
  grid-template-columns: auto auto;
}
.entry-icons img{
  float: right;
  width: 20px;
  padding: 3px 5px;
  border: 5px solid whitesmoke;
}
.view-description p{
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  max-height: 200px;
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
}
.entry-date span {
  padding: 0 10px;
  text-align: center
}
.month, .year{
font-size: 1.6em;
color: var(--diaryColor)
}
.day{
  font-size: 2em;
  color: var(--btncolor);
  font-weight: 700
}
.entry a {
  color: rgb(0, 0, 0)
}

.upper{
  display: inline-block;
  width: 100%
}
.upper input, .upper select{
  border-radius: 10px;
    border: 1px solid var(--btncolor);
    background-color: rgba(236, 236, 236, 0.295);
    font-size: 1.3em;
    color: var(--btnncolor, #000);
    padding: 5px 20px;
    margin: 10px;
    width: auto;
}

.upper div select{
  float: right
}

/* 
--------------------------------------------------------------
              HOMEPAGE
--------------------------------------------------------------
*/

.home-container{
  width: 70%;
  margin: auto;
  height: fit-content;
  border-radius: 10px
}


.get-started{
  max-height: 60vh;
  vertical-align: middle;
  background-color: rgba(224, 237, 250, 0.068);
  padding: 7vw 0
}
.get-started-btn{
  text-align: center;
  display: block;
  background-color: rgba(241, 248, 255, 0.795);
  font-size: 2em;
  cursor: default;
  padding: 10px 20px;
  margin: 10% 20% 0 20%;
  font-weight: 600;
  border-radius: 10px;
  transition: 0.5s;
  color: var(--diaryColor);
  border-top: 5px solid rgba(0, 0, 0, 0.288);
  border-bottom: 5px solid rgba(0, 0, 0, 0.288);
}
.get-started-btn:hover{
  background-color: rgba(145, 149, 170, 0.685);
}

.get-started div span{
  text-align: center;
  display: block;
  color: var(--diaryColor);
  font-size: 1.5em;
  padding: 10px;
  background-color: rgba(207, 208, 214, 0.815);
  font-weight: 600;
  border-top: 5px solid rgba(0, 0, 0, 0.26);
  border-bottom: 5px solid rgba(0, 0, 0, 0.288);
}

.testimonials-content{
  display: grid;
  grid-template-columns: auto auto
}
.testimonial img{
  border-radius: 50%;
  width: 40%;
  display: block;
  margin: auto auto;
  border: 3px solid rgb(194, 194, 194)
}
blockquote{
  font-size: 1.3em;
  line-height: 0.9;
}
blockquote::before{
  content: "\201C";
  font-size:1.6em;
  color: var(--diaryColor);
  left: 0;
  top: 0;
}
.testimonial blockquote::after{
  content: "\201D";
  font-size: 1.6em;
  color: var(--diaryColor);
  
}
.testimonials-title span, .mydiary-description span{
  width: 100%;
  display: block;
  text-align: center;
  font-size: 1.5em;
  font-weight: 600
}
.testimonial em{
  display: block;
  text-align: center;
}

.contact-us-title{
  display: block;
  text-align: center;
}
.contact-content {
margin: auto;
width: 100%;
position: relative;
}

.contact-content input,
textarea {
width: 47%;
padding:10px;
margin: 5px 0;
font-size: 1em;
border-radius: 10px;
transition: 0.5s;
background-color: rgba(146, 138, 184, 0.116)
}
.contact textarea {
  width: 97%
}
.contact-content input:hover,
.contact-content input:focus,
.contact-content textarea:hover,
.contact-content textarea:focus {
background-color: #ced2ee;
color: rgb(0, 0, 0)
}

#submit-feedback-btn{
  width: 100%;
  font-size: 1.2em
}
.mydiary-description p{
  font-size: 1.3em;
  padding: 0 1vw;
  text-align: center
}

.home-lower{
  background-color: rgba(241, 243, 255, 0.89);
  padding: 10px;
  border-radius: 10px;
  height: fit-content;
}